UbuntuUpdates.org

Package "unattended-upgrades"

Name: unattended-upgrades

Description:

automatic installation of security upgrades

Latest version: 1.1ubuntu1.18.04.13
Release: bionic (18.04)
Level: updates
Repository: main

Links

Save this URL for the latest version of "unattended-upgrades": https://www.ubuntuupdates.org/unattended-upgrades


Download "unattended-upgrades"


Other versions of "unattended-upgrades" in Bionic

Repository Area Version
base main 1.1ubuntu1

Changelog

Version: 1.1ubuntu1.18.04.13 2019-12-05 01:07:23 UTC

  unattended-upgrades (1.1ubuntu1.18.04.13) bionic; urgency=medium

  * Fix non-minimal upgrades (LP: #1853861)
    - Mark packages for performing non-minimal upgrades
    - Clear cache after checking upgrades against the blacklist again.
      This fixes the issue when the dirty cache caused all packages to be
      upgraded in the first "minimal" step.
      Thanks to Paul Wise
    - Leave the cache clean when returning from calculate_upgradable_pkgs()
      When collecting upgradable packages the upgradable ones stayed in the
      cache and they were upgraded together even when unattended-upgrades
      was configured to perform upgrades in minimal steps.
      Thanks to Paul Wise
    - Clear cache after downloading packages

 -- Balint Reczey <email address hidden> Mon, 25 Nov 2019 16:23:06 +0100

Source diff to previous version
1853861 [SRU] Unattended-upgrades silently does not apply updates when MinimalSteps is disabled and there are autoremovable kernels

Version: 1.1ubuntu1.18.04.12 2019-11-07 01:07:01 UTC

  unattended-upgrades (1.1ubuntu1.18.04.12) bionic; urgency=medium

  * Report packages kept back by origin (LP: #1821376)
  * Store list of kept packages and report the number of them in motd
    (LP: #1823070)
  * Default to "/" as rootdir to fix saving list of kept packages.
    Thanks to Paul Wise (Closes: #932160)
  * debian/tests/control: Mark upgrade-between-snapshots as flaky
    (Closes: #941752) (LP: #1848354)

 -- Balint Reczey <email address hidden> Fri, 18 Oct 2019 13:24:28 +0200

Source diff to previous version
1821376 Report packages kept back by origins
1823070 unattended-upgrades should tell the user (via motd) when security updates are held back
1848354 upgrade-between-snapshots autopkgtest is flaky
932160 unattended-upgrades: regression: path to the kept-back file is not correctly determined - Debian Bug report logs
941752 unattended-upgrades: flaky autopkgtest: upgrade-between-snapshots - Debian Bug report logs

Version: 1.1ubuntu1.18.04.11 2019-05-07 11:06:29 UTC

  unattended-upgrades (1.1ubuntu1.18.04.11) bionic; urgency=medium

  * Detect changes to moved conffiles (LP: #1823872)
    - Add tests for checking conffile moves.
      Build depend on and use equivs to generate new test packages
    - Split() conffile data to set of names only once
    - Don't parse dpkg conffile db when there are no conffiles in the package
  * Detect unchanged moved conffiles.
    When a package moves a conffile properly without any change no conffile
    prompt needs to be shown thus the package can be upgraded unattended.
    (LP: #1823872)
  * Skip sending email when no package had to be installed, upgraded or removed
    (LP: #1821103) (Closes: #924554)
  * Make sure autoremovals don't start with a dirty cache and remove other
    packages (LP: #1824341)
  * Continue applying minimal sets when one set can't be marked for upgrade.
    Thanks to Anderson Luiz Alves for the patch, it needed minor modifications
    (LP: #1824341)
  * Stop raising NoAllowedOriginError when marking packages to upgrade/install
    fails (LP: #1824876)
  * Adjust only transitive dependencies in the fallback when a package from an
    allowed origin can't be marked to install/upgrade.
    This is a much lighter approach than marking every upgradable package
    because the full fallback was triggered on packages held back as well,
    using an excessive amount of CPU time.
    Also it crashed with packages not having any version in allowed origins.
    (LP: #1824804, #1824949)
  * Skip trying to upgrade held packages in call_adjusted() (LP: #1824804)
  * Follow all kinds of transitive dependencies when adjusting dependencies
  * Don't crash collecting transitive dependencies when package has no candidate
    (LP: #1825886)
  * Use mark_install_adjusted() in rewind_cache()
    The original cache had packages marked with adjustments thus rewinding
    should also do adjustments to reach the same state.
    Also not using mark_install_adjusted() crashes when apt raises error on
    held packages. (LP: #1826157)
    - test_rewind: Update test to check if adjustend rewinding took place

 -- Balint Reczey <email address hidden> Mon, 29 Apr 2019 12:13:14 +0200

Source diff to previous version
1823872 Fixing fsfreeze-hook can break unattended upgrades
1821103 [SRU] Skip sending email when no package had to be installed, upgraded or removed
1824341 NoAllowedOrigin cause package removal
1824876 unattended-upgrades: call_adjusted() raises NoAllowedOriginError when marking packages to upgrade/install fails
1824804 Unattended upgrades falls back to adjust all upgradable packages in attempt to install held packages
1825886 Unattended-upgrades may crash when a package does not have a candidate
1826157 unattended-upgrades: rewind_cache() may crash due to not adjusting package candidates
924554 SUCCESS messages: significant behaviour change - Debian Bug report logs

Version: 1.1ubuntu1.18.04.10 2019-04-02 19:09:10 UTC

  unattended-upgrades (1.1ubuntu1.18.04.10) bionic; urgency=medium

  * do_auto_remove() is successful unless a commit() operation fails
    (LP: #1795696)
  * Compare apt.package.Version objects and not the versions' string
    representation. (LP: #1820888)
    This prevented adjusting candidates when the strings sorted differently.
    Also extend tests to catch issue.
  * Fall back to adjusting more packages' candidates
    when a package from an allowed origin can't be marked to install/upgrade.
    (LP: #1821101)

 -- Balint Reczey <email address hidden> Mon, 25 Mar 2019 18:17:56 +0100

Source diff to previous version
1795696 /usr/bin/unattended-upgrade:UnboundLocalError:/usr/bin/unattended-upgrade@1991:main:do_auto_remove
1820888 unattended-upgrades may hold back upgrades due to comparing package versions by their string representation
1821101 unattended-upgrades: Fall back to adjusting more packages' candidates when a package from an allowed origin can't be marked to install/upgrade

Version: 1.1ubuntu1.18.04.9 2019-02-28 16:06:55 UTC

  unattended-upgrades (1.1ubuntu1.18.04.9) bionic; urgency=medium

  * debian/changlog: Drop extra trailer after old entry
  * Don't check blacklist too early and report updates from not allowed origins
    as kept back. (LP: #1781176)
  * test/test_blacklisted_wrong_origin.py: Fix and enable test
  * Clear cache when autoremoval fails (LP: #1779157)
  * Find autoremovable kernel packages using the patterns in APT's way
    (LP: #1815494)

 -- Balint Reczey <email address hidden> Thu, 21 Feb 2019 14:58:38 +0100

1781176 Blacklisted packages are included in the \
1779157 /usr/bin/unattended-upgrade:AssertionError:/usr/bin/unattended-upgrade@1927:main:do_install
1815494 May remove autoremovable non-kernel packages matching pattern from APT::VersionedKernelPackages



About   -   Send Feedback to @ubuntu_updates